{
    "function": "set_components",
    "components": {
        "custom_data": {
          "or_is_food": true,
          "or_food_type": "chicken",
          "or_food_category": "meat",
          "or_food_sub_category": "avian",
          "or_food_rawness_type": "raw"
        },
        "max_stack_size": 1,
        "max_damage": 10000,
        "damage": 1,
        "food": {
            "nutrition": 2,
            "saturation": 1.2,
            "can_always_eat": true
        },
        "consumable": {
            "consume_seconds": 3.5,
             "on_consume_effects": [
            {
              "type": "minecraft:apply_effects",
              "effects": [
                {
                  "duration": 600,
                  "id": "minecraft:hunger",
                  "show_icon": true
                }
              ],
              "probability": 0.3
            }
          ]
        }
    }
}